%define name gnome-telnet
%define version 2.4
%define release 2mdk

Name:		%{name}
Summary:	A pretty frontend and easy to use GNOME 3-in-1 telnet/ssh/rlogin client
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Networking/Remote access
URL:		http://www.cyest.org
Source:		http://www.cyest.org/downloads/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.xpm.bz2
Source2:	%{name}-32.xpm.bz2
Source3:	%{name}-48.xpm.bz2
Requires:	gnome-core >= 1.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Gnome Telnet provides a very nice graphical user interface for 
3-in-1 telnet, ssh, and rlogin client for Gnome

%prep
%setup -q

%build
#CFLAGS="%{optflags}" ./autogen.sh --prefix=%{_prefix}
%configure --enable-nls --with-included-gettext
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps/gtelnet

install -m555 src/gnome-telnet %{buildroot}%{_bindir}

install -m644 share/gtelnet_bg_black.jpg %{buildroot}%{_datadir}/pixmaps/gtelnet
install -m644 share/gtelnet_bg_brown.jpg %{buildroot}%{_datadir}/pixmaps/gtelnet
install -m644 share/gnome-telnet.png %{buildroot}%{_datadir}/pixmaps/gtelnet

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(gnome-telnet):\
  needs="x11"\
  section="Networking/Remote access"\
  title="Telnet, SSH, and RLogin"\
  longtitle="A cool front-end for telnet, ssh, and rlogin"\
  command="%{_bindir}/gnome-telnet"\
  icon=gnome-telnet.xpm
EOF

#icon
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
bzcat %{SOURCE1} > %{buildroot}%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > %{buildroot}%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > %{buildroot}%{_liconsdir}/%{name}.xpm

# i18n ugh, dunno why this isn't being installed by default once nls is
# requested --Geoff

cd po && {
   for i in *.gmo; do
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $i .gmo)/LC_MESSAGES
   install -m644 $i $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $i .gmo)/LC_MESSAGES/%{name}.mo
   done
} && cd ..

%find_lang %{name}

%post
%update_menus


%postun
%clean_menus


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README INSTALL AUTHORS ABOUT-NLS NEWS docs/*
%{_bindir}/gnome-telnet
%{_datadir}/pixmaps/gtelnet/gtelnet_bg_black.jpg
%{_datadir}/pixmaps/gtelnet/gtelnet_bg_brown.jpg
%{_datadir}/pixmaps/gtelnet/gnome-telnet.png
%{_iconsdir}/gnome-telnet.xpm
%{_liconsdir}/gnome-telnet.xpm
%{_miconsdir}/gnome-telnet.xpm
%{_libdir}/menu/%{name}

%changelog
* Tue Feb 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4-2mdk
- Build with i18n support.

* Sat Jan 06 2001 Prana <pranalukas@linux-mandrake.com> 2.4-1mdk
- Maintenance 2.4
- Geoff <snailtalk@mandrakesoft.com> 
  - use of configure macro and add a url to the source tag.

* Mon Dec 04 2000 Prana <pranalukas@linux-mandrake.com> 2.3-1mdk
- 2.3
- My GnuPG key for RPM verification has changed again.

* Sat Oct 28 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.2-1mdk
- 2.2
- new icons, properly resized
- specfile cleanups
- include menu inside specfile, not from source

* Thu Aug 31 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1-2mdk
- new in contribs
- specfile cleanups

* Mon Aug 31 2000 Prana <pranalukas@linux-mandrake.com>
- Version 2.1 released -- This RPM is only for Mandrake 7.1+

* Mon Jul 28 2000 Prana <pranalukas@linux-mandrake.com>
- Version 2.0 released -- please don't e-mail to pranalukas@linux-mandrake.com as it's just an alias

* Mon Jun 12 2000 Prana <pranalukas@gmx.de>
- First time I build an RPMS package and also Takeshi Aihana (TurboLinux Japan) added ja.po
